Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.dom4j
Class Dom4jXPath

    java.lang.Object
      org.jaxen.BaseXPath
          org.jaxen.dom4j.Dom4jXPath

All Implemented Interfaces:
  Serializable, XPath

public class Dom4jXPath
extends BaseXPath

An XPath implementation for the dom4j model

This is the main entry point for matching an XPath against a DOM tree. You create a compiled XPath object, then match it against one or more context nodes using the `BaseXPath.selectNodes(Object)` method, as in the following example:

     Node node = ...;
     XPath path = new Dom4jXPath("a/b/c");
     List results = path.selectNodes(node);

Version:
  $Revision: 1.6 $
Author:
  bob mcwhirter, James Strachan
See Also:
  `BaseXPath`, The dom4j website, Serialized Form

Constructor Summary
`Dom4jXPath(String xpathExpr)` Construct given an XPath expression string.

Methods inherited from class org.jaxen.BaseXPath
`addNamespace, booleanValueOf, createFunctionContext, createNamespaceContext, createVariableContext, debug, evaluate, getContext, getContextSupport, getFunctionContext, getNamespaceContext, getNavigator, getRootExpr, getVariableContext, numberValueOf, selectNodes, selectNodesForContext, selectSingleNode, selectSingleNodeForContext, setFunctionContext, setNamespaceContext, setVariableContext, stringValueOf, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dom4jXPath

    public Dom4jXPath(String xpathExpr)
               throws JaxenException

  Construct given an XPath expression string.

Parameters:
  `xpathExpr` - the XPath expression
Throws:
  `JaxenException` - if there is a syntax error while parsing the expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.